# $Revision: 1.16.2.1 $, $Date: 2007/02/19 21:25:47 $
Summary:	Anonymizing overlay network for TCP (The onion router)
Summary(pl):	Sie nakadkowa dla TCP zapewniajca anonimowo (router cebulowy)
Name:		tor
Version:	0.1.1.26
Release:	1
License:	BSD-like
Group:		Networking/Daemons
Source0:	http://tor.eff.org/dist/%{name}-%{version}.tar.gz
# Source0-md5:	0667df7a1f670bee5163b607aea172ba
Source1:	%{name}.logrotate
Source2:	%{name}.init
Source3:	%{name}.sysconfig
URL:		http://tor.eff.org/
BuildRequires:	libevent-devel >= 1.1
BuildRequires:	openssl-devel >= 0.9.6
BuildRequires:	rpm-build >= 4.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(tor)
Provides:	user(tor)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tor is a connection-based low-latency anonymous communication system.

This package provides the "tor" program, which serves as both a client
and a relay node. Scripts will automatically create a "tor" user and
group, and set tor up to run as a daemon when the system is rebooted.

Applications connect to the local Tor proxy using the SOCKS protocol.
The local proxy chooses a path through a set of relays, in which each
relay knows its predecessor and successor, but no others. Traffic
flowing down the circuit is unwrapped by a symmetric key at each
relay, which reveals the downstream relay.

Warnings: Tor does no protocol cleaning. That means there is a danger
that application protocols and associated programs can be induced to
reveal information about the initiator. Tor depends on Privoxy and
similar protocol cleaners to solve this problem. This is alpha code,
and is even more likely than released code to have anonymity-spoiling
bugs. The present network is very small -- this further reduces the
strength of the anonymity provided. Tor is not presently suitable for
high-stakes anonymity.

%description -l pl
Tor to oparty na poczeniach system anonimowej komunikacji o maych
opnieniach.

Ten pakiet dostarcza program "tor", sucy zarwno jako klient, jak i
wze przekanikowy. Skrypty automatycznie tworz uytkownika i grup
"tor" i konfiguruj tora do dziaania jako demon po uruchomieniu
systemu.

Aplikacje cz si z lokalnym proxy Tor przy uyciu protokou SOCKS.
Lokalne proxy wybiera ciek poprzez zbir przekanikw, z ktrych
kady zna swojego poprzednika i nastpnika, ale adnego wicej. Ruch
przychodzcy jest rozpakowywany przy uyciu klucza symetrycznego na
kadym przekaniku, ktry odsania kolejny przekanik.

Uwaga: Tor nie oczyszcza protokow. Oznacza to, e istnieje
niebezpieczestwo, e protokoy aplikacji i powizane programy mog
odkry informacje o pochodzeniu. Tor polega na Privoxy i podobnych
oczyszczaczach protokow w celu rozwizania tego problemu. To jest
kod alpha, wic moe mie wicej bdw psujcych anonimowo ni kod
wydany. Obecna sie jest bardzo maa - co w dalszym stopniu ogranicza
zapewnian anonimowo. Tor aktualnie nie nadaje si do zada
wymagajcych anonimowoci na wysok stawk.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/torrc{.sample,}
install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install -d $RPM_BUILD_ROOT/var/lib/%{name}
install -d $RPM_BUILD_ROOT/var/run/%{name}
install -d $RPM_BUILD_ROOT/var/log/{,archiv/}%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 156 tor
%useradd  -u 156 -r -d /var/lib/tor -s /bin/false -c "Tor" -g tor tor

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove  tor
	%groupremove tor
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS INSTALL LICENSE README ChangeLog doc/HACKING doc/TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %attr(750,root,tor) %{_sysconfdir}/%{name}
%attr(640,root,tor)  %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%dir %attr(750,root,tor) /var/lib/%{name}
%dir %attr(750,root,tor) /var/run/%{name}
%dir %attr(750,root,tor) /var/log/%{name}
%dir %attr(750,root,tor) /var/log/archiv/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tor.spec,v $
Revision 1.16.2.1  2007/02/19 21:25:47  glen
- HEAD merge: update to 0.1.1.26

Revision 1.16  2006/10/19 10:29:59  glen
- rel 4

Revision 1.15  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.14  2006/08/21 20:51:21  glen
- rebuild with libevent

Revision 1.13  2006/07/25 13:07:33  shadzik
- 0.1.1.22

Revision 1.12  2006/06/07 20:40:51  glen
- add CVE ref to 0.1.1.20 release

Revision 1.11  2006/06/07 19:56:17  speedo
- updated to 0.1.1.20 [resolves CVE-2006-0414]

Revision 1.10  2006/04/20 17:50:07  glen
- fix chkconfig, rc-scripts deps

Revision 1.9  2006/04/14 16:28:12  glen
- adapter

Revision 1.8  2006/04/14 16:27:24  glen
- rel 2

Revision 1.7  2006/02/20 08:54:38  speedo
- updated to 0.1.0.17

Revision 1.6  2005/11/30 11:08:07  radek
- P: {group,user}(tor)

Revision 1.5  2005/11/09 09:05:30  radek
- release 1

Revision 1.4  2005/11/08 21:22:10  radek
- version 0.1.0.15, almost finished

Revision 1.3  2005/09/22 23:51:30  qboosh
- pl, some cleanups

Revision 1.2  2005/09/09 09:13:36  radek
- fix md5 (tarball in SRPM for FC is modified: autocrap and ExerciseServer.py)

Revision 1.1  2005/09/09 08:45:59  radek
- new, NFY
